[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InitCriticalSection

Initialize a critical section

## Declaration

Source position: threadh.inc line 149

`procedure InitCriticalSection(`
`var cs: TRTLCriticalSection`
`);`

## Description

InitCriticalSection initializes a critical section CS for use. Before using a critical section with EnterCriticalsection or LeaveCriticalsection the critical section should be initialized with InitCriticalSection.

When a critical section is no longer used, it should be disposed of with DoneCriticalsection

## See also

DoneCriticalsection |  | Clean up a critical section.
EnterCriticalsection |  | Enter a critical section
LeaveCriticalsection |  | Leave a critical section

Documentation generated on: Feb 26 2014